import { IAction } from "vscode/vscode/vs/base/common/actions";
import { IConfigurationService } from "vscode/vscode/vs/platform/configuration/common/configuration.service";
import { ICommandService } from "vscode/vscode/vs/platform/commands/common/commands.service";
import { IDebugSession } from "vscode/vscode/vs/workbench/contrib/debug/common/debug";
import { IDebugService } from "vscode/vscode/vs/workbench/contrib/debug/common/debug.service";
import { IContextViewService } from "vscode/vscode/vs/platform/contextview/browser/contextView.service";
import { IWorkspaceContextService } from "vscode/vscode/vs/platform/workspace/common/workspace.service";
import { BaseActionViewItem, IBaseActionViewItemOptions, SelectActionViewItem } from "vscode/vscode/vs/base/browser/ui/actionbar/actionViewItems";
import { IKeybindingService } from "vscode/vscode/vs/platform/keybinding/common/keybinding.service";
import { IHoverService } from "vscode/vscode/vs/platform/hover/browser/hover.service";
import { IContextKeyService } from "vscode/vscode/vs/platform/contextkey/common/contextkey.service";
export declare class StartDebugActionViewItem extends BaseActionViewItem {
    private context;
    private readonly debugService;
    private readonly configurationService;
    private readonly commandService;
    private readonly contextService;
    private readonly keybindingService;
    private readonly hoverService;
    private readonly contextKeyService;
    private static readonly SEPARATOR;
    private container;
    private start;
    private selectBox;
    private debugOptions;
    private toDispose;
    private selected;
    private providers;
    constructor(context: unknown, action: IAction, options: IBaseActionViewItemOptions, debugService: IDebugService, configurationService: IConfigurationService, commandService: ICommandService, contextService: IWorkspaceContextService, contextViewService: IContextViewService, keybindingService: IKeybindingService, hoverService: IHoverService, contextKeyService: IContextKeyService);
    private registerListeners;
    render(container: HTMLElement): void;
    setActionContext(context: any): void;
    isEnabled(): boolean;
    focus(fromRight?: boolean): void;
    blur(): void;
    setFocusable(focusable: boolean): void;
    dispose(): void;
    private updateOptions;
    private _setAriaLabel;
}
export declare class FocusSessionActionViewItem extends SelectActionViewItem<IDebugSession> {
    protected readonly debugService: IDebugService;
    private readonly configurationService;
    constructor(action: IAction, session: IDebugSession | undefined, debugService: IDebugService, contextViewService: IContextViewService, configurationService: IConfigurationService);
    protected getActionContext(_: string, index: number): IDebugSession;
    private update;
    private getSelectedSession;
    protected getSessions(): ReadonlyArray<IDebugSession>;
    protected mapFocusedSessionToSelected(focusedSession: IDebugSession): IDebugSession;
}
