import { IActionViewItem } from "vscode/vscode/vs/base/browser/ui/actionbar/actionbar";
import { IAction } from "vscode/vscode/vs/base/common/actions";
import { IDisposable } from "vscode/vscode/vs/base/common/lifecycle";
import { IConfigurationService } from "vscode/vscode/vs/platform/configuration/common/configuration.service";
import { IContextKeyService } from "vscode/vscode/vs/platform/contextkey/common/contextkey.service";
import { IContextMenuService } from "vscode/vscode/vs/platform/contextview/browser/contextView.service";
import { IContextViewService } from "vscode/vscode/vs/platform/contextview/browser/contextView.service";
import { IInstantiationService } from "vscode/vscode/vs/platform/instantiation/common/instantiation";
import { IProgressService } from "vscode/vscode/vs/platform/progress/common/progress.service";
import { IStorageService } from "vscode/vscode/vs/platform/storage/common/storage.service";
import { ITelemetryService } from "vscode/vscode/vs/platform/telemetry/common/telemetry.service";
import { IThemeService } from "vscode/vscode/vs/platform/theme/common/themeService.service";
import { IWorkspaceContextService } from "vscode/vscode/vs/platform/workspace/common/workspace.service";
import { ViewPane } from "@codingame/monaco-vscode-65619f8f-0eab-5d8b-855a-43b6353fe527-common/vscode/vs/workbench/browser/parts/views/viewPane";
import { ViewPaneContainer } from "@codingame/monaco-vscode-9e888134-1a6f-58d9-b0e6-0fc047448366-common/vscode/vs/workbench/browser/parts/views/viewPaneContainer";
import { IViewDescriptorService } from "vscode/vscode/vs/workbench/common/views.service";
import { IDebugService } from "vscode/vscode/vs/workbench/contrib/debug/common/debug.service";
import { IExtensionService } from "vscode/vscode/vs/workbench/services/extensions/common/extensions.service";
import { IWorkbenchLayoutService } from "vscode/vscode/vs/workbench/services/layout/browser/layoutService.service";
import { IBaseActionViewItemOptions } from "vscode/vscode/vs/base/browser/ui/actionbar/actionViewItems";
export declare class DebugViewPaneContainer extends ViewPaneContainer {
    private readonly progressService;
    private readonly debugService;
    private readonly contextViewService;
    private readonly contextKeyService;
    private startDebugActionViewItem;
    private progressResolve;
    private breakpointView;
    private paneListeners;
    private readonly stopActionViewItemDisposables;
    constructor(layoutService: IWorkbenchLayoutService, telemetryService: ITelemetryService, progressService: IProgressService, debugService: IDebugService, instantiationService: IInstantiationService, contextService: IWorkspaceContextService, storageService: IStorageService, themeService: IThemeService, contextMenuService: IContextMenuService, extensionService: IExtensionService, configurationService: IConfigurationService, contextViewService: IContextViewService, contextKeyService: IContextKeyService, viewDescriptorService: IViewDescriptorService);
    create(parent: HTMLElement): void;
    focus(): void;
    getActionViewItem(action: IAction, options: IBaseActionViewItemOptions): IActionViewItem | undefined;
    focusView(id: string): void;
    private onDebugServiceStateChange;
    addPanes(panes: {
        pane: ViewPane;
        size: number;
        index?: number;
        disposable: IDisposable;
    }[]): void;
    removePanes(panes: ViewPane[]): void;
    private updateBreakpointsMaxSize;
}
