import { ServicesAccessor } from "vscode/vscode/vs/editor/browser/editorExtensions";
import { AccessibleViewProviderId, AccessibleViewType, IAccessibleViewContentProvider } from "vscode/vscode/vs/platform/accessibility/browser/accessibleView";
import { IAccessibleViewImplentation } from "vscode/vscode/vs/platform/accessibility/browser/accessibleViewRegistry";
import { Disposable } from "vscode/vscode/vs/base/common/lifecycle";
import { Repl } from "./repl.js";
import { AccessibilityVerbositySettingId } from "vscode/vscode/vs/workbench/contrib/accessibility/browser/accessibilityConfiguration";
export declare class ReplAccessibilityHelp implements IAccessibleViewImplentation {
    priority: number;
    name: string;
    when: import("vscode/vscode/vs/platform/contextkey/common/contextkey").ContextKeyExpression;
    type: AccessibleViewType;
    getProvider(accessor: ServicesAccessor): ReplAccessibilityHelpProvider | undefined;
}
declare class ReplAccessibilityHelpProvider extends Disposable implements IAccessibleViewContentProvider {
    private readonly _replView;
    readonly id = AccessibleViewProviderId.ReplHelp;
    readonly verbositySettingKey = AccessibilityVerbositySettingId.Debug;
    readonly options: {
        type: AccessibleViewType;
    };
    private _treeHadFocus;
    constructor(_replView: Repl);
    onClose(): void;
    provideContent(): string;
}
export {};
