import { AccessibleViewProviderId, AccessibleViewType, IAccessibleViewContentProvider } from "vscode/vscode/vs/platform/accessibility/browser/accessibleView";
import { IAccessibleViewService } from "vscode/vscode/vs/platform/accessibility/browser/accessibleView.service";
import { AccessibilityVerbositySettingId } from "vscode/vscode/vs/workbench/contrib/accessibility/browser/accessibilityConfiguration";
import { IReplElement } from "vscode/vscode/vs/workbench/contrib/debug/common/debug";
import { IAccessibleViewImplentation } from "vscode/vscode/vs/platform/accessibility/browser/accessibleViewRegistry";
import { ServicesAccessor } from "vscode/vscode/vs/platform/instantiation/common/instantiation";
import { Repl } from "./repl.js";
import { Event } from "vscode/vscode/vs/base/common/event";
import { Disposable } from "vscode/vscode/vs/base/common/lifecycle";
export declare class ReplAccessibleView implements IAccessibleViewImplentation {
    priority: number;
    name: string;
    when: import("vscode/vscode/vs/platform/contextkey/common/contextkey").ContextKeyExpression;
    type: AccessibleViewType;
    getProvider(accessor: ServicesAccessor): ReplOutputAccessibleViewProvider | undefined;
}
declare class ReplOutputAccessibleViewProvider extends Disposable implements IAccessibleViewContentProvider {
    private readonly _replView;
    private readonly _focusedElement;
    private readonly _accessibleViewService;
    readonly id = AccessibleViewProviderId.Repl;
    private _content;
    private readonly _onDidChangeContent;
    readonly onDidChangeContent: Event<void>;
    private readonly _onDidResolveChildren;
    readonly onDidResolveChildren: Event<void>;
    readonly verbositySettingKey = AccessibilityVerbositySettingId.Debug;
    readonly options: {
        type: AccessibleViewType;
    };
    private _elementPositionMap;
    private _treeHadFocus;
    constructor(_replView: Repl, _focusedElement: IReplElement | undefined, _accessibleViewService: IAccessibleViewService);
    provideContent(): string;
    onClose(): void;
    onOpen(): void;
    private _updateContent;
}
export {};
