import { ServicesAccessor } from "vscode/vscode/vs/editor/browser/editorExtensions";
import { AccessibleViewProviderId, AccessibleViewType, IAccessibleViewContentProvider } from "vscode/vscode/vs/platform/accessibility/browser/accessibleView";
import { IAccessibleViewImplentation } from "vscode/vscode/vs/platform/accessibility/browser/accessibleViewRegistry";
import { Disposable } from "vscode/vscode/vs/base/common/lifecycle";
import { AccessibilityVerbositySettingId } from "vscode/vscode/vs/workbench/contrib/accessibility/browser/accessibilityConfiguration";
import { ICommandService } from "vscode/vscode/vs/platform/commands/common/commands.service";
import { IViewsService } from "vscode/vscode/vs/workbench/services/views/common/viewsService.service";
export declare class RunAndDebugAccessibilityHelp implements IAccessibleViewImplentation {
    priority: number;
    name: string;
    when: import("vscode/vscode/vs/platform/contextkey/common/contextkey").ContextKeyExpression | undefined;
    type: AccessibleViewType;
    getProvider(accessor: ServicesAccessor): RunAndDebugAccessibilityHelpProvider;
}
declare class RunAndDebugAccessibilityHelpProvider extends Disposable implements IAccessibleViewContentProvider {
    private readonly _commandService;
    private readonly _viewsService;
    readonly id = AccessibleViewProviderId.RunAndDebug;
    readonly verbositySettingKey = AccessibilityVerbositySettingId.Debug;
    readonly options: {
        type: AccessibleViewType;
    };
    private _focusedView;
    constructor(_commandService: ICommandService, _viewsService: IViewsService);
    onClose(): void;
    provideContent(): string;
}
export {};
