import { IWorkbenchContribution } from "vscode/vscode/vs/workbench/common/contributions";
import { State, IDebugSession } from "vscode/vscode/vs/workbench/contrib/debug/common/debug";
import { IDebugService } from "vscode/vscode/vs/workbench/contrib/debug/common/debug.service";
import { IWorkspaceContextService } from "vscode/vscode/vs/platform/workspace/common/workspace.service";
import { IStatusbarService } from "vscode/vscode/vs/workbench/services/statusbar/browser/statusbar.service";
import { IConfigurationService } from "vscode/vscode/vs/platform/configuration/common/configuration.service";
import { ILayoutService } from "vscode/vscode/vs/platform/layout/browser/layoutService.service";
export declare const STATUS_BAR_DEBUGGING_BACKGROUND: string;
export declare const STATUS_BAR_DEBUGGING_FOREGROUND: string;
export declare const STATUS_BAR_DEBUGGING_BORDER: string;
export declare const COMMAND_CENTER_DEBUGGING_BACKGROUND: string;
export declare class StatusBarColorProvider implements IWorkbenchContribution {
    private readonly debugService;
    private readonly contextService;
    private readonly statusbarService;
    private readonly layoutService;
    private readonly configurationService;
    private readonly disposables;
    private disposable;
    private set enabled(value);
    constructor(debugService: IDebugService, contextService: IWorkspaceContextService, statusbarService: IStatusbarService, layoutService: ILayoutService, configurationService: IConfigurationService);
    protected update(): void;
    dispose(): void;
}
export declare function isStatusbarInDebugMode(state: State, sessions: IDebugSession[]): boolean;
